Gnome User Interface Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gnome-window-icon

## Name

gnome-window-icon -- Convenience functions for window mini-icons

## Synopsis

    #include <gnome.h>

## Description

These functions are a convenience wrapper for the gdk_window_set_icon() function. They allow setting a default icon, which is used by many top level windows in libgnomeui, such as GnomeApp and GnomeDialog windows.

They also handle drawing the icon on the iconified window's icon in window managers such as TWM and Window Maker.

These functions were added with the 1.2.0 release of the GNOME libraries in May, 2000. This means that not all users will have this functionality in the GNOME libraries, and should only be used accordingly. The header file must be explicitely included, also (include <libgnomeui/gnome-window-icon.h>).

## Details

## See Also

gdk_window_set_icon()

<<< Previous Page | Home | Up | Next Page >>>
gnome-uidefs | gnome-winhints